org.apache.poi.ss.formula.ptg

## Class ErrPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.ScalarConstantPtg
    - - org.apache.poi.ss.formula.ptg.ErrPtg

- All Implemented Interfaces:
    Duplicatable

      public final class ErrPtg
      extends ScalarConstantPtg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ErrPtg` | `DIV_ZERO` #DIV/0! - Division by zero
    `static ErrPtg` | `N_A` #N/A - Argument or function not available
    `static ErrPtg` | `NAME_INVALID` #NAME? - Wrong function or range name
    `static ErrPtg` | `NULL_INTERSECTION` #NULL! - Intersection of two cell ranges is empty
    `static ErrPtg` | `NUM_ERROR` #NUM! - Value range overflow
    `static ErrPtg` | `REF_INVALID` #REF! - Illegal or deleted cell reference
    `static short` | `sid`
    `static ErrPtg` | `VALUE_INVALID` #VALUE! - Wrong type of operand

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrPtg` | `copy()`
    `int` | `getErrorCode()`
    `int` | `getSize()`
    `static ErrPtg` | `read(LittleEndianInput in)`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `static ErrPtg` | `valueOf(int code)`
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.ScalarConstantPtg

      `getDefaultOperandClass, isBaseToken, toString`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL_INTERSECTION

          public static final ErrPtg NULL_INTERSECTION

      #NULL! - Intersection of two cell ranges is empty

    - #### DIV_ZERO

          public static final ErrPtg DIV_ZERO

      #DIV/0! - Division by zero

    - #### VALUE_INVALID

          public static final ErrPtg VALUE_INVALID

      #VALUE! - Wrong type of operand

    - #### REF_INVALID

          public static final ErrPtg REF_INVALID

      #REF! - Illegal or deleted cell reference

    - #### NAME_INVALID

          public static final ErrPtg NAME_INVALID

      #NAME? - Wrong function or range name

    - #### NUM_ERROR

          public static final ErrPtg NUM_ERROR

      #NUM! - Value range overflow

    - #### N_A

          public static final ErrPtg N_A

      #N/A - Argument or function not available

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### read

          public static ErrPtg read(LittleEndianInput in)

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### getErrorCode

          public int getErrorCode()

    - #### valueOf

          public static ErrPtg valueOf(int code)

    - #### copy

          public ErrPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.